Get Google place reviews
curl --request POST \
--url https://api.aisa.one/apis/v1/serper/google-serp-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cid": "855637193957362546",
"fid": "<string>",
"placeId": "<string>",
"gl": "us",
"hl": "en",
"topicId": "<string>",
"nextPageToken": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/serper/google-serp-reviews"
payload = {
"cid": "855637193957362546",
"fid": "<string>",
"placeId": "<string>",
"gl": "us",
"hl": "en",
"topicId": "<string>",
"nextPageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cid: '855637193957362546',
fid: '<string>',
placeId: '<string>',
gl: 'us',
hl: 'en',
topicId: '<string>',
nextPageToken: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/serper/google-serp-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/serper/google-serp-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cid' => '855637193957362546',
'fid' => '<string>',
'placeId' => '<string>',
'gl' => 'us',
'hl' => 'en',
'topicId' => '<string>',
'nextPageToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/serper/google-serp-reviews"
payload := strings.NewReader("{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/serper/google-serp-reviews")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/serper/google-serp-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodySerper
Get Google place reviews
This is Serper's only cursor-paginated stable endpoint and does not support mini-batch. The catalog schema cannot express one-of-required, so callers must supply cid, fid, or placeId; omitting all three produces an unbilled upstream error.
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.001 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
serper
/
google-serp-reviews
Get Google place reviews
curl --request POST \
--url https://api.aisa.one/apis/v1/serper/google-serp-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cid": "855637193957362546",
"fid": "<string>",
"placeId": "<string>",
"gl": "us",
"hl": "en",
"topicId": "<string>",
"nextPageToken": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/serper/google-serp-reviews"
payload = {
"cid": "855637193957362546",
"fid": "<string>",
"placeId": "<string>",
"gl": "us",
"hl": "en",
"topicId": "<string>",
"nextPageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cid: '855637193957362546',
fid: '<string>',
placeId: '<string>',
gl: 'us',
hl: 'en',
topicId: '<string>',
nextPageToken: '<string>'
})
};
fetch('https://api.aisa.one/apis/v1/serper/google-serp-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/serper/google-serp-reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cid' => '855637193957362546',
'fid' => '<string>',
'placeId' => '<string>',
'gl' => 'us',
'hl' => 'en',
'topicId' => '<string>',
'nextPageToken' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/serper/google-serp-reviews"
payload := strings.NewReader("{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/serper/google-serp-reviews")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/serper/google-serp-reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cid\": \"855637193957362546\",\n \"fid\": \"<string>\",\n \"placeId\": \"<string>\",\n \"gl\": \"us\",\n \"hl\": \"en\",\n \"topicId\": \"<string>\",\n \"nextPageToken\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: POST /apis/v1/serper/google-serp-reviews
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/serper/google-serp-reviews - Runtime 事实版本: 8bc115d1f8bde92adda9a817ccc8a3209c42d5e6b6fca193b1621425d312ca56
{
"operationId": "serper.google-serp-reviews",
"method": "POST",
"path": "/apis/v1/serper/google-serp-reviews",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"cid": {
"type": "string",
"description": "Google customer ID. Supply at least one of cid, fid, or placeId.",
"examples": [
"855637193957362546"
]
},
"fid": {
"type": "string",
"description": "Google feature ID. Supply at least one of cid, fid, or placeId."
},
"placeId": {
"type": "string",
"description": "Google place ID. Supply at least one of cid, fid, or placeId."
},
"gl": {
"type": "string",
"default": "us",
"examples": [
"us"
]
},
"hl": {
"type": "string",
"default": "en",
"examples": [
"en"
]
},
"sortBy": {
"type": "string",
"enum": [
"mostRelevant",
"newest",
"highestRating",
"lowestRating"
]
},
"topicId": {
"type": "string"
},
"nextPageToken": {
"type": "string",
"description": "Opaque cursor from the preceding response."
}
},
"additionalProperties": false
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.001,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.001 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.001
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Google customer ID. Supply at least one of cid, fid, or placeId.
示例:
"855637193957362546"
Google feature ID. Supply at least one of cid, fid, or placeId.
Google place ID. Supply at least one of cid, fid, or placeId.
示例:
"us"
示例:
"en"
可用选项:
mostRelevant, newest, highestRating, lowestRating Opaque cursor from the preceding response.
响应
成功响应